/***임금근로자의 근로시간 변수 생성***/

clear
cd "D:\klips\Stata"

use klips22p, replace

// p**1003 : 정규근로시간 여부
// p**1004 : 주당 평균 근로시간
// p**1006 : 주당 정규 근로시간
// p**1011 : 초과근로여부
// p**1012 : 일주일 또는 월평균 초과근로시간
// p**1019 : 초과근로시간 구분(1=일주일평균,2=월평균)

// 결측치 처리 
recode p221004 p221006 p221012(-1=.)

/**주당 근로시간 (worktime)**/ 

// 정규근로시간이 있고, 초과근로를 하지 않는 경우
gen worktime=p221006 if p221003==1 & p221011==1 

// 정규근로시간이 있고, 초과근로가 있는 경우
replace worktime=p221006 + p221012 if p221003==1 & (p221011==2 & p221019==1) 

// 정규근로시간이 있고, 초과근로가 있는 경우 (월평균인 경우 초과근로시간은 4.3으로 나누어줌)
replace worktime=p221006 + p221012/4.3 if p221003==1 & (p221011==2 & p221019==2)  

// 정규근로시간이 정해져있지 않은 경우 주당 평균 근로시간 사용
replace worktime=p221004 if p221003==2 

lab var worktime "주당 근로시간"

// 근로시간 변수 그래프 //
histogram worktime


// 불가능한 주당 근로시간 확인 //


keep if worktime>168 
tab pid worktime 

save "D:\klips\Stata\data\exaple.dta", replace 